<?php
/**
 * Fitness Exercise Hub: Customizer
 *
 * @package Fitness Exercise Hub
 * @subpackage fitness_exercise_hub
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function fitness_exercise_hub_customize_register( $wp_customize ) {

	//add home page setting pannel
	$wp_customize->add_panel( 'fitness_exercise_hub_panel_id', array(
	    'priority' => 10,
	    'capability' => 'edit_theme_options',
	    'theme_supports' => '',
	    'title' => __( 'Custom Home page', 'fitness-exercise-hub' ),
	    'description' => __( 'Description of what this panel does.', 'fitness-exercise-hub' ),
	) );

	$wp_customize->add_section('fitness_exercise_hub_mobile_media_option',array(
	'title'         => __('Mobile Responsive media', 'fitness-exercise-hub'),
	'priority' => 3,
	'panel' => 'fitness_exercise_hub_panel_id'
	) );

	$wp_customize->add_setting('fitness_exercise_hub_return_to_header_mob',array(
		 'default' => false,
		 'sanitize_callback'	=> 'fitness_exercise_hub_sanitize_checkbox'
	));
	$wp_customize->add_control('fitness_exercise_hub_return_to_header_mob',array(
		 'type' => 'checkbox',
		 'label' => __('Show / Hide Return to header','fitness-exercise-hub'),
		 'section' => 'fitness_exercise_hub_mobile_media_option',
	));

	$wp_customize->add_setting('fitness_exercise_hub_slider_buttom_mob',array(
		 'default' => true,
		 'sanitize_callback'	=> 'fitness_exercise_hub_sanitize_checkbox'
	));
	$wp_customize->add_control('fitness_exercise_hub_slider_buttom_mob',array(
		 'type' => 'checkbox',
		 'label' => __('Show / Hide Slider Button','fitness-exercise-hub'),
		 'section' => 'fitness_exercise_hub_mobile_media_option',
	));


	//Sidebar Position
	$wp_customize->add_section('fitness_exercise_hub_tp_general_settings',array(
        'title' => __('TP General Option', 'fitness-exercise-hub'),
        'priority' => 2,
        'panel' => 'fitness_exercise_hub_panel_id'
    ) );

 	$wp_customize->add_setting('fitness_exercise_hub_tp_body_layout_settings',array(
		'default' => 'Full',
		'sanitize_callback' => 'fitness_exercise_hub_sanitize_choices'
	));
 	$wp_customize->add_control('fitness_exercise_hub_tp_body_layout_settings',array(
		'type' => 'radio',
		'label'     => __('Body Layout Setting', 'fitness-exercise-hub'),
		'description'   => __('This option work for complete body, if you want to set the complete website in container.', 'fitness-exercise-hub'),
		'section' => 'fitness_exercise_hub_tp_general_settings',
		'choices' => array(
		'Full' => __('Full','fitness-exercise-hub'),
		'Container' => __('Container','fitness-exercise-hub'),
		'Container Fluid' => __('Container Fluid','fitness-exercise-hub')
		),
	) );

   // Add Settings and Controls for Post Layout
	$wp_customize->add_setting('fitness_exercise_hub_sidebar_post_layout',array(
     'default' => 'right',
     'sanitize_callback' => 'fitness_exercise_hub_sanitize_choices'
	));
	$wp_customize->add_control('fitness_exercise_hub_sidebar_post_layout',array(
     'type' => 'radio',
     'label'     => __('Theme Sidebar Position', 'fitness-exercise-hub'),
     'description'   => __('This option work for blog page, blog single page, archive page and search page.', 'fitness-exercise-hub'),
     'section' => 'fitness_exercise_hub_tp_general_settings',
     'choices' => array(
         'full' => __('Full','fitness-exercise-hub'),
         'left' => __('Left','fitness-exercise-hub'),
         'right' => __('Right','fitness-exercise-hub'),
         'three-column' => __('Three Columns','fitness-exercise-hub'),
         'four-column' => __('Four Columns','fitness-exercise-hub'),
         'grid' => __('Grid Layout','fitness-exercise-hub')
     ),
	) );

	// Add Settings and Controls for Page Layout
	$wp_customize->add_setting('fitness_exercise_hub_sidebar_page_layout',array(
     'default' => 'right',
     'sanitize_callback' => 'fitness_exercise_hub_sanitize_choices'
	));
	$wp_customize->add_control('fitness_exercise_hub_sidebar_page_layout',array(
     'type' => 'radio',
     'label'     => __('Page Sidebar Position', 'fitness-exercise-hub'),
     'description'   => __('This option work for pages.', 'fitness-exercise-hub'),
     'section' => 'fitness_exercise_hub_tp_general_settings',
     'choices' => array(
         'full' => __('Full','fitness-exercise-hub'),
         'left' => __('Left','fitness-exercise-hub'),
         'right' => __('Right','fitness-exercise-hub')
     ),
	) );

	$wp_customize->add_setting('fitness_exercise_hub_preloader_show_hide',array(
		'default' => false,
		'sanitize_callback'	=> 'fitness_exercise_hub_sanitize_checkbox'
	));
 	$wp_customize->add_control('fitness_exercise_hub_preloader_show_hide',array(
		'type' => 'checkbox',
		'label' => __('Show / Hide Preloader Option','fitness-exercise-hub'),
		'section' => 'fitness_exercise_hub_tp_general_settings',
	));

	$wp_customize->add_setting('fitness_exercise_hub_sticky',array(
		'default' => false,
		'sanitize_callback'	=> 'fitness_exercise_hub_sanitize_checkbox'
	));
	$wp_customize->add_control('fitness_exercise_hub_sticky',array(
		'type' => 'checkbox',
		'label' => __('Show / Hide Sticky Header','fitness-exercise-hub'),
		'section' => 'fitness_exercise_hub_tp_general_settings',
	));

	//TP Blog Option
	$wp_customize->add_section('fitness_exercise_hub_blog_option',array(
		'title' => __('TP Blog Option', 'fitness-exercise-hub'),
		'priority' => 1,
		'panel' => 'fitness_exercise_hub_panel_id'
	) );

    $wp_customize->add_setting('fitness_exercise_hub_remove_date',array(
       'default' => true,
       'sanitize_callback'	=> 'fitness_exercise_hub_sanitize_checkbox'
    ));
    $wp_customize->add_control('fitness_exercise_hub_remove_date',array(
       'type' => 'checkbox',
       'label' => __('Show / Hide Date Option','fitness-exercise-hub'),
       'section' => 'fitness_exercise_hub_blog_option',
    ));

    $wp_customize->add_setting('fitness_exercise_hub_remove_author',array(
       'default' => true,
       'sanitize_callback'	=> 'fitness_exercise_hub_sanitize_checkbox'
    ));
    $wp_customize->add_control('fitness_exercise_hub_remove_author',array(
       'type' => 'checkbox',
       'label' => __('Show / Hide Author Option','fitness-exercise-hub'),
       'section' => 'fitness_exercise_hub_blog_option',
    ));

    $wp_customize->add_setting('fitness_exercise_hub_remove_comments',array(
       'default' => true,
       'sanitize_callback'	=> 'fitness_exercise_hub_sanitize_checkbox'
    ));
    $wp_customize->add_control('fitness_exercise_hub_remove_comments',array(
       'type' => 'checkbox',
       'label' => __('Show / Hide Comment Option','fitness-exercise-hub'),
       'section' => 'fitness_exercise_hub_blog_option',
    ));

    $wp_customize->add_setting('fitness_exercise_hub_remove_tags',array(
       'default' => true,
       'sanitize_callback'	=> 'fitness_exercise_hub_sanitize_checkbox'
    ));
    $wp_customize->add_control('fitness_exercise_hub_remove_tags',array(
       'type' => 'checkbox',
       'label' => __('Show / Hide Tags Option','fitness-exercise-hub'),
       'section' => 'fitness_exercise_hub_blog_option',
    ));

    $wp_customize->add_setting('fitness_exercise_hub_remove_read_button',array(
       'default' => true,
       'sanitize_callback'	=> 'fitness_exercise_hub_sanitize_checkbox'
    ));
    $wp_customize->add_control('fitness_exercise_hub_remove_read_button',array(
       'type' => 'checkbox',
       'label' => __('Show / Hide Read More Button','fitness-exercise-hub'),
       'section' => 'fitness_exercise_hub_blog_option',
    ));

    $wp_customize->add_setting('fitness_exercise_hub_read_more_text',array(
		'default'=> __('Read More','fitness-exercise-hub'),
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('fitness_exercise_hub_read_more_text',array(
		'label'	=> __('Edit Button Text','fitness-exercise-hub'),
		'section'=> 'fitness_exercise_hub_blog_option',
		'type'=> 'text'
	));

	$wp_customize->add_setting( 'fitness_exercise_hub_excerpt_count', array(
		'default'              => 35,
		'type'                 => 'theme_mod',
		'transport' 		   => 'refresh',
		'sanitize_callback'    => 'fitness_exercise_hub_sanitize_number_range',
		'sanitize_js_callback' => 'absint',
	) );
	$wp_customize->add_control( 'fitness_exercise_hub_excerpt_count', array(
		'label'       => esc_html__( 'Edit Excerpt Limit','fitness-exercise-hub' ),
		'section'     => 'fitness_exercise_hub_blog_option',
		'type'        => 'number',
		'input_attrs' => array(
			'step'             => 2,
			'min'              => 0,
			'max'              => 50,
		),
	) );

	// Top Bar
	$wp_customize->add_section( 'fitness_exercise_hub_topbar', array(
    	'title'      => __( 'Header Details', 'fitness-exercise-hub' ),
    	'priority' => 4,
    	'description' => __( 'Add your contact details', 'fitness-exercise-hub' ),
		'panel' => 'fitness_exercise_hub_panel_id'
	) );

	$wp_customize->add_setting('fitness_exercise_hub_search_icon',array(
		'default' => false,
		'sanitize_callback'	=> 'fitness_exercise_hub_sanitize_checkbox'
	));
 	$wp_customize->add_control('fitness_exercise_hub_search_icon',array(
		'type' => 'checkbox',
		'label' => __('Show / Hide Search Option','fitness-exercise-hub'),
		'section' => 'fitness_exercise_hub_topbar',
	));

	// Social Media
	$wp_customize->add_section( 'fitness_exercise_hub_social_media', array(
    	'title'      => __( 'Social Media Links', 'fitness-exercise-hub' ),
    	'priority' => 5,
    	'description' => __( 'Add your Social Links', 'fitness-exercise-hub' ),
		'panel' => 'fitness_exercise_hub_panel_id'
	) );

	$wp_customize->add_setting('fitness_exercise_hub_facebook_url',array(
		'default'=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));
	$wp_customize->add_control('fitness_exercise_hub_facebook_url',array(
		'label'	=> __('Facebook Link','fitness-exercise-hub'),
		'section'=> 'fitness_exercise_hub_social_media',
		'type'=> 'url'
	));

	$wp_customize->add_setting('fitness_exercise_hub_twitter_url',array(
		'default'=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));
	$wp_customize->add_control('fitness_exercise_hub_twitter_url',array(
		'label'	=> __('Twitter Link','fitness-exercise-hub'),
		'section'=> 'fitness_exercise_hub_social_media',
		'type'=> 'url'
	));

	$wp_customize->add_setting('fitness_exercise_hub_instagram_url',array(
		'default'=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));
	$wp_customize->add_control('fitness_exercise_hub_instagram_url',array(
		'label'	=> __('Instagram Link','fitness-exercise-hub'),
		'section'=> 'fitness_exercise_hub_social_media',
		'type'=> 'url'
	));

	$wp_customize->add_setting('fitness_exercise_hub_youtube_url',array(
		'default'=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));
	$wp_customize->add_control('fitness_exercise_hub_youtube_url',array(
		'label'	=> __('YouTube Link','fitness-exercise-hub'),
		'section'=> 'fitness_exercise_hub_social_media',
		'type'=> 'url'
	));

	$wp_customize->add_setting('fitness_exercise_hub_pint_url',array(
		'default'=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));
	$wp_customize->add_control('fitness_exercise_hub_pint_url',array(
		'label'	=> __('Pinterest Link','fitness-exercise-hub'),
		'section'=> 'fitness_exercise_hub_social_media',
		'type'=> 'url'
	));

	//home page slider
	$wp_customize->add_section( 'fitness_exercise_hub_slider_section' , array(
    	'title'      => __( 'Slider Section', 'fitness-exercise-hub' ),
    	'priority' => 6,
		'panel' => 'fitness_exercise_hub_panel_id'
	) );

	$wp_customize->add_setting('fitness_exercise_hub_slider_arrows',array(
		'default' => false,
		'sanitize_callback'	=> 'fitness_exercise_hub_sanitize_checkbox'
	));
	$wp_customize->add_control('fitness_exercise_hub_slider_arrows',array(
		'type' => 'checkbox',
		'label' => __('Show / Hide slider','fitness-exercise-hub'),
		'section' => 'fitness_exercise_hub_slider_section',
	));

	for ( $count = 1; $count <= 3; $count++ ) {

		$wp_customize->add_setting( 'fitness_exercise_hub_slider_page' . $count, array(
			'default'           => '',
			'sanitize_callback' => 'fitness_exercise_hub_sanitize_dropdown_pages'
		) );

		$wp_customize->add_control( 'fitness_exercise_hub_slider_page' . $count, array(
			'label'    => __( 'Select Slide Image Page', 'fitness-exercise-hub' ),
			'description' => __('Image Size ( 1835 x 700 ) px','fitness-exercise-hub'),
			'section'  => 'fitness_exercise_hub_slider_section',
			'type'     => 'dropdown-pages'
		) );
	}

	$wp_customize->add_setting('fitness_exercise_hub_slider_button',array(
			 'default' => true,
			 'sanitize_callback'	=> 'fitness_exercise_hub_sanitize_checkbox'
		));
		$wp_customize->add_control('fitness_exercise_hub_slider_button',array(
			 'type' => 'checkbox',
			 'label' => __('Show / Hide Slider Button','fitness-exercise-hub'),
			 'section' => 'fitness_exercise_hub_slider_section',
		));

	// Schedule Section
	$wp_customize->add_section( 'fitness_exercise_hub_timing', array(
    	'title'      => __( 'Timing Section', 'fitness-exercise-hub' ),
    	'priority' => 6,
		'panel' => 'fitness_exercise_hub_panel_id'
	) );

	for ( $i = 1; $i <= 3; $i++ ) {

		$wp_customize->add_setting('fitness_exercise_hub_schedule_icon'.$i,array(
			'default'=> '',
			'sanitize_callback'	=> 'sanitize_text_field'
		));
		$wp_customize->add_control('fitness_exercise_hub_schedule_icon'.$i,array(
			'label'	=> __('Add icon ','fitness-exercise-hub').$i,
			'section'=> 'fitness_exercise_hub_timing',
			'type'=> 'text'
		));

		$wp_customize->add_setting('fitness_exercise_hub_schedule_title'.$i,array(
			'default'=> '',
			'sanitize_callback'	=> 'sanitize_text_field'
		));
		$wp_customize->add_control('fitness_exercise_hub_schedule_title'.$i,array(
			'label'	=> __('Add Title ','fitness-exercise-hub').$i,
			'section'=> 'fitness_exercise_hub_timing',
			'type'=> 'text'
		));

		$wp_customize->add_setting('fitness_exercise_hub_schedule_text'.$i,array(
			'default'=> '',
			'sanitize_callback'	=> 'sanitize_text_field'
		));
		$wp_customize->add_control('fitness_exercise_hub_schedule_text'.$i,array(
			'label'	=> __('Add Text ','fitness-exercise-hub').$i,
			'section'=> 'fitness_exercise_hub_timing',
			'type'=> 'text'
		));

	}

	//home page services
	$wp_customize->add_section( 'fitness_exercise_hub_services_section' , array(
    	'title'      => __( 'Services Section', 'fitness-exercise-hub' ),
    	'priority' => 7,
		'panel' => 'fitness_exercise_hub_panel_id'
	) );

	$wp_customize->add_setting('fitness_exercise_hub_services_heading',array(
		'default'=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('fitness_exercise_hub_services_heading',array(
		'label'	=> __('Add Heading','fitness-exercise-hub'),
		'section'=> 'fitness_exercise_hub_services_section',
		'type'=> 'text'
	));

	$wp_customize->add_setting('fitness_exercise_hub_services_heading_text',array(
		'default'=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('fitness_exercise_hub_services_heading_text',array(
		'label'	=> __('Add Text','fitness-exercise-hub'),
		'section'=> 'fitness_exercise_hub_services_section',
		'type'=> 'text'
	));

	$fitness_exercise_hub_categories = get_categories();
	$cats = array();
	$i = 0;
	$fitness_exercise_hub_offer_cat[]= 'select';
	foreach($fitness_exercise_hub_categories as $category){
		if($i==0){
			$default = $category->slug;
			$i++;
		}
		$fitness_exercise_hub_offer_cat[$category->slug] = $category->name;
	}

	$wp_customize->add_setting('fitness_exercise_hub_services_section_category',array(
		'default'	=> 'select',
		'sanitize_callback' => 'fitness_exercise_hub_sanitize_choices',
	));
	$wp_customize->add_control('fitness_exercise_hub_services_section_category',array(
		'type'    => 'select',
		'choices' => $fitness_exercise_hub_offer_cat,
		'label' => __('Select Category','fitness-exercise-hub'),
		'section' => 'fitness_exercise_hub_services_section',
	));

	//footer
	$wp_customize->add_section('fitness_exercise_hub_footer_section',array(
		'title'	=> __('Footer Text','fitness-exercise-hub'),
		'description'	=> __('Add copyright text.','fitness-exercise-hub'),
		'panel' => 'fitness_exercise_hub_panel_id'
	));

	$wp_customize->add_setting('fitness_exercise_hub_footer_text',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('fitness_exercise_hub_footer_text',array(
		'label'	=> __('Copyright Text','fitness-exercise-hub'),
		'section'	=> 'fitness_exercise_hub_footer_section',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('fitness_exercise_hub_return_to_header',array(
		'default' => true,
		'sanitize_callback'	=> 'fitness_exercise_hub_sanitize_checkbox'
	));
	$wp_customize->add_control('fitness_exercise_hub_return_to_header',array(
		'type' => 'checkbox',
		'label' => __('Show / Hide Return to header','fitness-exercise-hub'),
		'section' => 'fitness_exercise_hub_footer_section',
	));

   // Add Settings and Controls for Scroll top
	$wp_customize->add_setting('fitness_exercise_hub_scroll_top_position',array(
        'default' => 'Right',
        'sanitize_callback' => 'fitness_exercise_hub_sanitize_choices'
	));
	$wp_customize->add_control('fitness_exercise_hub_scroll_top_position',array(
     'type' => 'radio',
     'label'     => __('Scroll to top Position', 'fitness-exercise-hub'),
     'description'   => __('This option work for scroll to top', 'fitness-exercise-hub'),
     'section' => 'fitness_exercise_hub_footer_section',
     'choices' => array(
         'Right' => __('Right','fitness-exercise-hub'),
         'Left' => __('Left','fitness-exercise-hub'),
         'Center' => __('Center','fitness-exercise-hub')
     ),
	) );

	$wp_customize->get_setting( 'blogname' )->transport          = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport   = 'postMessage';

	$wp_customize->selective_refresh->add_partial( 'blogname', array(
		'selector' => '.site-title a',
		'render_callback' => 'fitness_exercise_hub_customize_partial_blogname',
	) );
	$wp_customize->selective_refresh->add_partial( 'blogdescription', array(
		'selector' => '.site-description',
		'render_callback' => 'fitness_exercise_hub_customize_partial_blogdescription',
	) );

	$wp_customize->add_setting('fitness_exercise_hub_site_title',array(
       'default' => true,
       'sanitize_callback'	=> 'fitness_exercise_hub_sanitize_checkbox'
    ));
    $wp_customize->add_control('fitness_exercise_hub_site_title',array(
       'type' => 'checkbox',
       'label' => __('Show / Hide Site Title','fitness-exercise-hub'),
       'section' => 'title_tagline',
    ));

    $wp_customize->add_setting('fitness_exercise_hub_site_tagline',array(
       'default' => true,
       'sanitize_callback'	=> 'fitness_exercise_hub_sanitize_checkbox'
    ));
    $wp_customize->add_control('fitness_exercise_hub_site_tagline',array(
       'type' => 'checkbox',
       'label' => __('Show / Hide Tagline','fitness-exercise-hub'),
       'section' => 'title_tagline',
    ));

    $wp_customize->add_setting('fitness_exercise_hub_logo_width',array(
		'default' => 150,
		'sanitize_callback'	=> 'fitness_exercise_hub_sanitize_number_absint'
	));
	 $wp_customize->add_control('fitness_exercise_hub_logo_width',array(
		'label'	=> esc_html__('Here You Can Customize Your Logo Size','fitness-exercise-hub'),
		'section'	=> 'title_tagline',
		'type'		=> 'number'
	));

	$wp_customize->add_setting('fitness_exercise_hub_logo_settings',array(
		'default' => 'Different Line',
		'sanitize_callback' => 'fitness_exercise_hub_sanitize_choices'
	));
   $wp_customize->add_control('fitness_exercise_hub_logo_settings',array(
        'type' => 'radio',
        'label'     => __('Logo Layout Settings', 'fitness-exercise-hub'),
        'description'   => __('Here you have two options 1. Logo and Site tite in differnt line. 2. Logo and Site title in same line.', 'fitness-exercise-hub'),
        'section' => 'title_tagline',
        'choices' => array(
            'Different Line' => __('Different Line','fitness-exercise-hub'),
            'Same Line' => __('Same Line','fitness-exercise-hub')
        ),
	) );

	$wp_customize->add_setting('fitness_exercise_hub_per_columns',array(
		'default'=> 3,
		'sanitize_callback'	=> 'fitness_exercise_hub_sanitize_number_absint'
	));
	$wp_customize->add_control('fitness_exercise_hub_per_columns',array(
		'label'	=> __('Product Per Row','fitness-exercise-hub'),
		'section'=> 'woocommerce_product_catalog',
		'type'=> 'number'
	));

	$wp_customize->add_setting('fitness_exercise_hub_product_per_page',array(
		'default'=> 9,
		'sanitize_callback'	=> 'fitness_exercise_hub_sanitize_number_absint'
	));
	$wp_customize->add_control('fitness_exercise_hub_product_per_page',array(
		'label'	=> __('Product Per Page','fitness-exercise-hub'),
		'section'=> 'woocommerce_product_catalog',
		'type'=> 'number'
	));

    $wp_customize->add_setting('fitness_exercise_hub_product_sidebar',array(
       'default' => true,
       'sanitize_callback'	=> 'fitness_exercise_hub_sanitize_checkbox'
    ));
    $wp_customize->add_control('fitness_exercise_hub_product_sidebar',array(
       'type' => 'checkbox',
       'label' => __('Show / Hide Shop page sidebar','fitness-exercise-hub'),
       'section' => 'woocommerce_product_catalog',
    ));

    $wp_customize->add_setting('fitness_exercise_hub_single_product_sidebar',array(
       'default' => true,
       'sanitize_callback'	=> 'fitness_exercise_hub_sanitize_checkbox'
    ));
    $wp_customize->add_control('fitness_exercise_hub_single_product_sidebar',array(
       'type' => 'checkbox',
       'label' => __('Show / Hide Product page sidebar','fitness-exercise-hub'),
       'section' => 'woocommerce_product_catalog',
    ));
}
add_action( 'customize_register', 'fitness_exercise_hub_customize_register' );

/**
 * Render the site title for the selective refresh partial.
 *
 * @since Fitness Exercise Hub 1.0
 * @see fitness_exercise_hub_customize_register()
 *
 * @return void
 */
function fitness_exercise_hub_customize_partial_blogname() {
	bloginfo( 'name' );
}

/**
 * Render the site tagline for the selective refresh partial.
 *
 * @since Fitness Exercise Hub 1.0
 * @see fitness_exercise_hub_customize_register()
 *
 * @return void
 */
function fitness_exercise_hub_customize_partial_blogdescription() {
	bloginfo( 'description' );
}

if ( ! defined( 'FITNESS_EXERCISE_HUB_PRO_THEME_NAME' ) ) {
	define( 'FITNESS_EXERCISE_HUB_PRO_THEME_NAME', esc_html__( 'Fitness Exercise Hub Pro', 'fitness-exercise-hub' ));
}
if ( ! defined( 'FITNESS_EXERCISE_HUB_PRO_THEME_URL' ) ) {
	define( 'FITNESS_EXERCISE_HUB_PRO_THEME_URL', esc_url('https://www.themespride.com/themes/exercise-wordpress-theme/'));
}
if ( ! defined( 'FITNESS_EXERCISE_HUB_DOCS_URL' ) ) {
	define( 'FITNESS_EXERCISE_HUB_DOCS_URL', esc_url('https://www.themespride.com/demo/docs/fitness-exercise/'));
}

/**
 * Singleton class for handling the theme's customizer integration.
 *
 * @since  1.0.0
 * @access public
 */
final class Fitness_Exercise_Hub_Customize {

	/**
	 * Returns the instance.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return object
	 */
	public static function get_instance() {

		static $instance = null;

		if ( is_null( $instance ) ) {
			$instance = new self;
			$instance->setup_actions();
		}

		return $instance;
	}

	/**
	 * Constructor method.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function __construct() {}

	/**
	 * Sets up initial actions.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function setup_actions() {

		// Register panels, sections, settings, controls, and partials.
		add_action( 'customize_register', array( $this, 'sections' ) );

		// Register scripts and styles for the controls.
		add_action( 'customize_controls_enqueue_scripts', array( $this, 'enqueue_control_scripts' ), 0 );
	}

	/**
	 * Sets up the customizer sections.
	 *
	 * @since  1.0.0
	 * @access public
	 * @param  object  $manager
	 * @return void
	 */
	public function sections( $manager ) {

		// Load custom sections.
		load_template( trailingslashit( get_template_directory() ) . '/inc/section-pro.php' );

		// Register custom section types.
		$manager->register_section_type( 'Fitness_Exercise_Hub_Customize_Section_Pro' );

		// Register sections.
		$manager->add_section(
			new Fitness_Exercise_Hub_Customize_Section_Pro(
				$manager,
				'fitness_exercise_hub_section_pro',
				array(
					'priority'   => 9,
					'title'    => FITNESS_EXERCISE_HUB_PRO_THEME_NAME,
					'pro_text' => esc_html__( 'Upgrade Pro', 'fitness-exercise-hub' ),
					'pro_url'  => esc_url( FITNESS_EXERCISE_HUB_PRO_THEME_URL, 'fitness-exercise-hub' ),
				)
			)
		);

		// Register sections.
		$manager->add_section(
			new Fitness_Exercise_Hub_Customize_Section_Pro(
				$manager,
				'fitness_exercise_hub_documentation',
				array(
					'priority'   => 500,
					'title'    => esc_html__( 'Theme Documentation', 'fitness-exercise-hub' ),
					'pro_text' => esc_html__( 'Click Here', 'fitness-exercise-hub' ),
					'pro_url'  => esc_url( FITNESS_EXERCISE_HUB_DOCS_URL, 'fitness-exercise-hub'),
				)
			)
		);
	}

	/**
	 * Loads theme customizer CSS.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return void
	 */
	public function enqueue_control_scripts() {

		wp_enqueue_script( 'fitness-exercise-hub-customize-controls', trailingslashit( esc_url( get_template_directory_uri() ) ) . '/assets/js/customize-controls.js', array( 'customize-controls' ) );

		wp_enqueue_style( 'fitness-exercise-hub-customize-controls', trailingslashit( esc_url( get_template_directory_uri() ) ) . '/assets/css/customize-controls.css' );
	}
}

// Doing this customizer thang!
Fitness_Exercise_Hub_Customize::get_instance();
